<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.pcloud.universe</groupId>
        <artifactId>universe-commons-parent</artifactId>
        <version>3.0.0-SNAPSHOT</version>
    </parent>

    <groupId>com.pcloud.common</groupId>
	<artifactId>pcloud-book-parent</artifactId>
    <version>3.1.0-SNAPSHOT</version>
    <packaging>pom</packaging>
    <name>pcloud-book-parent</name>

    <modules>
        <module>pcloud-facade-book</module>
        <module>pcloud-service-book</module>
    </modules>

    <properties>
        <reversion>3.1.0-SNAPSHOT</reversion>
    </properties>

    <dependencyManagement>
        <dependencies>
        </dependencies>
    </dependencyManagement>

    <!-- 全局属性配置 -->
    <profiles>

        <!-- 开发环境 -->
        <profile>
            <id>dev</id>
            <properties>
                <!-- 部署环境(对应配置文件版本) -->
                <env>dev</env>
                <wxgroup-sdk.version>1.1.0-SNAPSHOT</wxgroup-sdk.version>
                <coolq-sdk.version>1.0-SNAPSHOT</coolq-sdk.version>
            </properties>
        </profile>

        <!-- 测试环境 -->
        <profile>
            <id>test</id>
            <properties>
                <!-- 部署环境(对应配置文件版本) -->
                <env>test</env>
                <maven.test.skip>false</maven.test.skip>
                <wxgroup-sdk.version>1.0.0-SNAPSHOT</wxgroup-sdk.version>
                <coolq-sdk.version>1.0-SNAPSHOT</coolq-sdk.version>
            </properties>
        </profile>

        <!-- UAT -->
        <profile>
            <id>uat</id>
            <properties>
                <!-- 部署环境(对应配置文件版本) -->
                <env>uat</env>
                <wxgroup-sdk.version>1.0.0-RELEASE</wxgroup-sdk.version>
                <coolq-sdk.version>1.0-RELEASE</coolq-sdk.version>
            </properties>
            <!-- 设置默认环境 -->
            <activation>
                <activeByDefault>true</activeByDefault>
            </activation>
        </profile>

        <!-- 压测环境 -->
        <profile>
            <id>perf</id>
            <properties>
                <!-- 部署环境(对应配置文件版本) -->
                <env>perf</env>
                <wxgroup-sdk.version>1.0.0-SNAPSHOT</wxgroup-sdk.version>
                <coolq-sdk.version>1.0-SNAPSHOT</coolq-sdk.version>
            </properties>
        </profile>

        <!-- 生产环境 -->
        <profile>
            <id>prod</id>
            <properties>
                <!-- 部署环境(对应配置文件版本) -->
                <env>prod</env>
                <wxgroup-sdk.version>1.1.0-SNAPSHOT</wxgroup-sdk.version>
                <coolq-sdk.version>1.1.0-RELEASE</coolq-sdk.version>
            </properties>
        </profile>

        <profile>
            <id>tsrpd</id>
            <properties>
                <!-- 部署环境(对应配置文件版本) -->
                <env>tsrpd</env>
                <wxgroup-sdk.version>1.1.0-SNAPSHOT</wxgroup-sdk.version>
                <coolq-sdk.version>1.1.0-RELEASE</coolq-sdk.version>
            </properties>
        </profile>

    </profiles>
</project>
